Modify

Opened 2 years ago

Last modified 23 months ago

#21475 new defect

Unifi UAP factory install invalid BZ version

Reported by: webtron Owned by: developers
Priority: normal Milestone:
Component: packages Version: Trunk
Keywords: Cc:

Description

When checking the firmware against the original Unifi firmware
r41336 works

fwupdate.real -c /tmp/fwupdate.bin -d

Current: BZ.ar7240.v3.2.6.2799.140930.1155

New ver: BZ.ar7240.v6.0.0-OpenWrt-r41336

r47890 fails and won't install unless I install r41336 and sysupgrade

fwupdate.real -c /tmp/fwupdate.bin -d

Current: BZ.ar7240.v3.2.6.2799.140930.1155

New ver: BZ.ar934x.v6.0.0-OpenWrt-r47890
Invalid version 'BZ.ar934x.v6.0.0-OpenWrt-r47890'

Note the CPU ar934x on the later revision. Has the /target/linux/ar71xx/image/makefile changed since the earlier revision?

Attachments (0)

Change History (2)

comment:1 Changed 2 years ago by webtron

Ive changed the area near line 1070 in /target/linux/ar71xx/image/makefile

from

define Device/ubnt-unifi
  $(Device/ubnt-bz)
  BOARDNAME := UBNT-UF
  DEVICE_PROFILE := UBNT UBNTUNIFI
endef

To

define Device/ubnt-unifi
  $(Device/ubnt-bz)
  BOARDNAME := UBNT-UF
  UBNT_CHIP := ar7240
  DEVICE_PROFILE := UBNT UBNTUNIFI
endef

It tests and installs now is there likely to be any repercussions from changing this?

comment:2 Changed 23 months ago by anonymous

Some news here? The last trunk still with this error.

Add Comment

Modify Ticket

Action
as new .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.